package me.mrletsplay.videobase.util;

import java.math.BigInteger;
import java.nio.charset.StandardCharsets;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class Hash {

	private static final MessageDigest SHA_3;

	static {
		try {
			SHA_3 = MessageDigest.getInstance("SHA-256");
		} catch (NoSuchAlgorithmException e) {
			throw new RuntimeException("Failed to initialize hash", e);
		}
	}

	public static String hash(String input) {
		return new BigInteger(1, SHA_3.digest(input.getBytes(StandardCharsets.UTF_8))).toString(36);
	}

}
